/*
** Module   : terminal.h
** Abstract : Header file for text-based console functions.
**            This is used by terminal.c, terminal_(linix|win).c
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- --------------------------------Description-----------------------------------
** 001 EVL 20130724 Created initial version for console CHUI declarations.
** 002 EVL 20130729 Creating native module for Windows, redefinition of the platform specific
**                  calls. 
*/

#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <errno.h>
#include <signal.h>
#include <fcntl.h>
#include <jni.h>

#define ATTRIBUTE_MAX 9
#define ACS_MAX 23

void throwException(JNIEnv *, char *, char *);

void initConsole(JNIEnv *, char *);

void beepNative();

void clearNative();

void moveNative(int, int);

void addchNative(int);

int colorPairNative(int, int);

char* safe_termname();

jboolean hasColors();

jboolean setCursorNative(jint, jint);

void syncNative();

void restartTerminal(JNIEnv *, char *);

jboolean setCursorStatus(JNIEnv *, jboolean);

jint readKey();

jint getx();

jint gety();

void resume();

void suspend();

void resetMode();

